#include <stdio.h>

/* Drivers */
#include "r_ioport.h"
#include "r_sci_uart.h"

/* Global data */
#include "hal_data.h"

int main(void) {
    fsp_err_t ret;

    ret = R_IOPORT_Open(&g_ioport_ctrl, &g_bsp_pin_cfg);
    if(ret != FSP_SUCCESS) {
        goto dead_loop;
    }

    ret = R_SCI_UART_Open(&g_uart4_ctrl, &g_uart4_cfg);
    if(ret != FSP_SUCCESS) {
        goto dead_loop;
    }

    printf("Hello world from a strange Renesas...\r\n");

    for(;;) {
        R_IOPORT_PinWrite(&g_ioport_ctrl, LED1, 0);
        R_BSP_SoftwareDelay(1, BSP_DELAY_UNITS_SECONDS);
        R_IOPORT_PinWrite(&g_ioport_ctrl, LED1, 1);
        R_BSP_SoftwareDelay(1, BSP_DELAY_UNITS_SECONDS);
    }

dead_loop:
    for(;;) {
        /* -- */
    }
}
